文档章节

run.do_compile 的整理

杜比
 杜比
发布于 2015/05/05 16:20
字数 173
阅读 210
收藏 0
# do_compile 调用 base_do_compile,自动生成
do_compile() {
    base_do_compile

}

# 检测Makefile文件,调用oe_runmake,自动生成
base_do_compile() {
	if [ -e Makefile -o -e makefile -o -e GNUmakefile ]; then
		oe_runmake || die "make failed"
	else
		bbnote "nothing to compile"
	fi

}

die() {
	bbfatal "$*"

}

# 调用 oe_runmake_call,参数是Makefile文件,自动生成
oe_runmake() {
	oe_runmake_call "$@" || die "oe_runmake failed"

}

bbnote() {
	echo "NOTE: $*"

}

# bbnote写入log,运行命令 make -j 2 Makefile,启动软件包的compile
oe_runmake_call() {
	bbnote make -j 2  "$@"
	make -j 2  "$@"

}

bbfatal() {
	echo "ERROR: $*"
	exit 1

}

cd '/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/work/i686-linux/quilt-native/0.61-r0/quilt-0.61'
do_compile

# cleanup
ret=$?
trap '' 0
exit $?

脚本均自动生成,启动哪种make机制,定义在bbclass之中,生成机制需要进一步的整理!



© 著作权归作者所有

杜比
粉丝 0
博文 3
码字总数 2510
作品 0
长春
私信 提问
config.mk分析

声明:本文由个人学习过程中整理而成,转载请注明出处 (1)设置src和obj (2)设置编译选项 (3)定义交叉编译工具 AS= $(CROSS_COMPILE)as LD= $(CROSS_COMPILE)ld CC= $(CROSS_COMPILE)gcc CPP=...

为更好铭天
2017/04/13
0
0
AndroidStudio3.0遇到的坑(持续更新)

前言 不得不吐糟自己一下,作者因最近离职并出国浪去了,都冷落了简书妃子了,这样不好不好。 悲痛欲绝地默哀一秒钟后,还是回到主题上好了(顺便给点福利图,知道是谁的话可以在评论区给出你...

黄油伯伯
2017/11/16
0
0
Maven依赖中scope的含义

Maven依赖中scope的含义 整理一下Maven中Scope的详细作用,都是抄的别人内容整理了一下。参考: https://blog.csdn.net/claram/article/details/77646263 https://blog.csdn.net/kimylrong/...

UEUEO
2018/11/26
0
0
主Makefile分析

声明:本文由个人学习过程中整理而成,转载请注明出处。 主Makefile,负责uboot整个工程的配置和编译 1、配置版本号 UBOOTVERSION变量记录了配置好的版本号。 version_autogenerated.h文件是...

为更好铭天
2017/04/13
0
0
基于BP人工神经网络模型预测课程销量的高低

人工神经网络理论的学习参考: 点击打开链接 点击打开链接 初始数据: 一、数据的加载和整理 import pandas as pdaimport numpy as npyfile_name='lesson2.csv'dataf=pda.readcsv(filename)x...

weixin_41276745
2018/03/23
0
0

没有更多内容

加载失败,请刷新页面

加载更多

让《强化学习(第2版)》架起一座通往强化学习经典知识宝库的桥梁

上交大计算科学与工程系俞凯教授,5分钟口述讲解,带你快速认识了解年度重磅图书《强化学习(第二版)》! 在 AlphaGo战胜李世石之后,AlphaZero以其完全凭借自我学习超越人类在各种棋类游戏...

博文视点Bv
25分钟前
6
0
TLA7-EVM开发板的处理器、NOR FLASH、DDR3

TLA7-EVM开发板是一款由广州创龙基于Xilinx Artix-7系列FPGA自主研发的核心板+底板方式的开发板,可快速评估FPGA性能。核心板尺寸仅70mm*50mm,底板采用沉金无铅工艺的6层板设计,专业的PCB...

Tronlong创龙
34分钟前
4
0
UUID的变种-有序

为了解决UUID无序的问题,NHibernate在其主键生成方式中提供了Comb算法(combined guid/timestamp)。保留GUID的10个字节,用另6个字节表示GUID生成的时间(DateTime)。 /// <summary> //...

Canaan_
35分钟前
4
0
Netty学习(6)——通道间数据传输

1. FileChannel实现通道间的数据传输 在Java NIO中,如果两个通道中有一个是FileChannel,那你可以直接将数据从一个channel传输到另外一个channel。 transferFrom() FileChannel的transferF...

江左煤郎
38分钟前
4
0
AngularDOM操作

gtandsn
39分钟前
3
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部